summaryrefslogtreecommitdiffstats
path: root/abs
diff options
context:
space:
mode:
authorJames Meyer <james.meyer@operamail.com>2010-09-21 04:31:54 (GMT)
committerJames Meyer <james.meyer@operamail.com>2010-09-21 04:31:54 (GMT)
commit13dc5b17c22f090733755b24f84a5a7e5b4eec5d (patch)
treefb613c2b1527a3bd6a82ec20f51b5d6f2ac1222f /abs
parentfff91d7f754ca3ac84f4159456e0156c2ac26708 (diff)
downloadlinhes_pkgbuild-13dc5b17c22f090733755b24f84a5a7e5b4eec5d.zip
linhes_pkgbuild-13dc5b17c22f090733755b24f84a5a7e5b4eec5d.tar.gz
linhes_pkgbuild-13dc5b17c22f090733755b24f84a5a7e5b4eec5d.tar.bz2
parted: archsysnc
Diffstat (limited to 'abs')
-rw-r--r--abs/core-testing/parted/PKGBUILD37
-rw-r--r--abs/core-testing/parted/__changelog2
-rw-r--r--abs/core-testing/parted/parted-1.7.1-fix-seg.patch13
-rw-r--r--abs/core-testing/parted/parted.install18
4 files changed, 40 insertions, 30 deletions
diff --git a/abs/core-testing/parted/PKGBUILD b/abs/core-testing/parted/PKGBUILD
index be2d735..d166fd8 100644
--- a/abs/core-testing/parted/PKGBUILD
+++ b/abs/core-testing/parted/PKGBUILD
@@ -1,24 +1,31 @@
-# $Id: PKGBUILD 356 2008-04-18 22:56:27Z aaron $
-# Maintainer: Aaron Griffin <aaron@archlinux.org>
-# Contributor: dorphell <dorphell@archlinux.org>
+# $Id: PKGBUILD 82289 2010-06-10 01:52:54Z andrea $
+# Maintainer: Giovanni Scafora <giovanni@archlinux.org>
+# Contributor: Aaron Griffin <aaron@archlinux.org>
pkgname=parted
-pkgver=1.8.8
-pkgrel=2
+pkgver=2.3
+pkgrel=1
pkgdesc="A program for creating, destroying, resizing, checking and copying partitions"
-arch=(i686 x86_64)
+arch=('i686' 'x86_64')
license=('GPL3')
url="http://www.gnu.org/software/parted/parted.html"
-depends=('e2fsprogs')
-source=(ftp://ftp.gnu.org/pub/gnu/$pkgname/$pkgname-$pkgver.tar.gz parted-1.7.1-fix-seg.patch)
-md5sums=('0d494591731082ec57cc18627728124a' '88f3c5b45fdd1d3dce70a1a19bf48481')
-options=(!libtool !emptydirs)
+depends=('device-mapper' 'e2fsprogs')
+options=('!libtool')
+install=${pkgname}.install
+source=("http://ftp.gnu.org/gnu/${pkgname}/${pkgname}-${pkgver}.tar.gz")
+md5sums=('30ceb6df7e8681891e865e2fe5a7903d')
build() {
- cd $startdir/src/$pkgname-$pkgver
- #Arch64 fix - still needed?
- [ "$CARCH" = "x86_64" ] && patch -Np1 -i ../parted-1.7.1-fix-seg.patch
- ./configure --prefix=/usr --disable-debug --disable-Werror
+ cd "${srcdir}/${pkgname}-${pkgver}"
+
+ ./configure --prefix=/usr \
+ --disable-debug \
+ --disable-rpath \
+ --disable-Werror || return 1
make || return 1
- make DESTDIR=$startdir/pkg install
+}
+
+package() {
+ cd "${srcdir}/${pkgname}-${pkgver}"
+ make DESTDIR="${pkgdir}" install || return 1
}
diff --git a/abs/core-testing/parted/__changelog b/abs/core-testing/parted/__changelog
deleted file mode 100644
index 0717177..0000000
--- a/abs/core-testing/parted/__changelog
+++ /dev/null
@@ -1,2 +0,0 @@
-modify pkgbuild to not include emptydirs
-+options=(!libtool !emptydirs)
diff --git a/abs/core-testing/parted/parted-1.7.1-fix-seg.patch b/abs/core-testing/parted/parted-1.7.1-fix-seg.patch
deleted file mode 100644
index a05c57c..0000000
--- a/abs/core-testing/parted/parted-1.7.1-fix-seg.patch
+++ /dev/null
@@ -1,13 +0,0 @@
---- parted-1.7.1/libparted/fs/hfs/probe.c 2006-05-25 13:28:58.000000000 -0400
-+++ parted-1.7.1.new/libparted/fs/hfs/probe.c 2006-06-09 16:58:35.000000000 -0400
-@@ -42,8 +42,9 @@
- {
- PedDevice* dev;
-
-+ dev = geom->dev;
- PED_ASSERT (geom != NULL, return 0);
-- PED_ASSERT ((dev = geom->dev) != NULL, return 0);
-+ PED_ASSERT (dev != NULL, return 0);
-
- if (dev->sector_size != PED_SECTOR_SIZE_DEFAULT) {
- ped_exception_throw (
diff --git a/abs/core-testing/parted/parted.install b/abs/core-testing/parted/parted.install
new file mode 100644
index 0000000..5e00699
--- /dev/null
+++ b/abs/core-testing/parted/parted.install
@@ -0,0 +1,18 @@
+info_dir=/usr/share/info
+info_files=(parted.info)
+
+post_install() {
+ for f in ${info_files[@]}; do
+ install-info ${info_dir}/$f.gz ${info_dir}/dir 2> /dev/null
+ done
+}
+
+post_upgrade() {
+ post_install $1
+}
+
+pre_remove() {
+ for f in ${info_files[@]}; do
+ install-info --delete ${info_dir}/$f.gz ${info_dir}/dir 2> /dev/null
+ done
+}